{{- with .Values.ingress }}
{{- if .enabled }}
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: {{ include "esphome.fullname" $ }}-http
  namespace: {{ $.Release.Namespace }}
  annotations:
    {{- toYaml .annotations | nindent 4 }}
spec:
  ingressClassName: {{ .className }} 
  tls:
  - hosts:
      - {{ .host }}
    secretName: {{ include "esphome.fullname" $ }}-http-tls
  rules:
  - host: {{ .host }}
    http:
      paths:
      - path: /
        pathType: Prefix
        backend:
          service:
            name: {{ include "esphome.fullname" $ }}-http
            port:
              number: {{ .port }}
{{- end }}
{{- end }}
